<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/
function URL_Friendly($url) {
   $output = preg_replace("/ /" , "_" , $url);
	return $output;
}
function Get_URL_Friendly($url) {
   $output = preg_replace("/_/" , " " , $url);
	return $output;
}
function Format_Sourcesite($url) {
	$tempoutput = preg_replace('{^http://(www.)?}', '', $url); 
	$backoutput = strrev($tempoutput);
		if(preg_match("/^\//", $backoutput)) {
			$output = strrev(preg_replace("/^\//", "", $backoutput));
		}else{
			$output = strrev($backoutput);
		}
		if(preg_match("/\//", $output)) {
			$output = preg_replace("/\//", "_", $output);		
		}
	return $output;
}

function Format_Sourcesite_Link($url) {
	$output = 'http://www.'.$url;
	$output = preg_replace("/_/", "/", $output);
	return $output;
}

function Format_Sourcesite_Show($url) {
	$output = preg_replace("/_/", "/", $url);
	return $output;
}

function upload_avatar($avatar, $id) {
	$error = 1;
	$valid_image_types = array('.gif', '.jpg', '.png');
	$tmp_name = $avatar['tmp_name'];
	$size = $avatar['size'];
	$filename = $avatar['name'];
	if($size > NUMBER_MAX_ICON_SIZE) {
		$error = 2;
	}
	$type = strtolower(strrchr($filename, '.'));
	if(!in_array($type, $valid_image_types)) {
		$error = 2;
	}
	if($error == 1) {
		$name = 'images/avatars/'.$id.$type;
		list($width, $height) = getimagesize($tmp_name);
		if($width != NUMBER_DIMENSIONS_W || $height != NUMBER_DIMENSIONS_H) {
			$image_p = imagecreatetruecolor(NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H);
			if($type == '.gif') {
				$image = imagecreatefromgif($tmp_name);
				imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
				imagegif($image_p, '../'.$name);				
			}elseif($type == '.jpg') {
				$image = imagecreatefromjpeg($tmp_name);
				imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
				imagejpeg($image_p, '../'.$name, 100);
			}else{
				$image = imagecreatefrompng($tmp_name);
				imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
				imagepng($image_p, '../'.$name, 9);
			}
			chmod('../'.$name, 0644);
		}else{
			move_uploaded_file($tmp_name, '../'.$name);
			chmod('../'.$name, 0644);
		}
		mysql_query("UPDATE `tutorial_front` SET `icon`='".$name."' WHERE `id`='".$id."'");
	}else{
		mysql_query("UPDATE `tutorial_front` SET `icon`='default' WHERE `id`='".$id."'");
	}
}

function check_slashes($value, $remove=1) {
	if($remove == 1) {
		if(get_magic_quotes_gpc() != 1) {
			return addslashes($value);
		}
	}else{
		if(get_magic_quotes_gpc() == 1) {
			return stripslashes($value);
		}
	}
	return $value;
}

function upload_icon($icon, $id) {
	$tmp_name = $icon['tmp_name'];
	$filename = $icon['name'];
	$type = strtolower(strrchr($filename, '.'));
	$name = 'images/icons/'.$id.$type;
	list($width, $height) = getimagesize($tmp_name);
	if($width != 21 || $height != 22) {
		$image_p = imagecreatetruecolor(21, 22);
		if($type == '.gif') {
			$image = imagecreatefromgif($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, 21, 22, $width, $height);
			imagegif($image_p, '../'.$name);				
		}elseif($type == '.jpg') {
			$image = imagecreatefromjpeg($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, 21, 22, $width, $height);
			imagejpeg($image_p, '../'.$name, 100);
		}else{
			$image = imagecreatefrompng($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, 21, 22, $width, $height);
			imagepng($image_p, '../'.$name, 9);
		}
		chmod('../'.$name, 0644);
	}else{
		move_uploaded_file($tmp_name, '../'.$name);
		chmod('../'.$name, 0644);
	}
	mysql_query("UPDATE `navigation` SET `icon`='".$name."' WHERE `id`='".$id."'");
	return 1;	
}
function upload_default_avatar($avatar, $id) {
	$tmp_name = $avatar['tmp_name'];
	$filename = $avatar['name'];
	$type = strtolower(strrchr($filename, '.'));
	$name = 'images/default_avatars/'.$id.$type;
	list($width, $height) = getimagesize($tmp_name);
	if($width != NUMBER_DIMENSIONS_W || $height != NUMBER_DIMENSIONS_H) {
		$image_p = imagecreatetruecolor(NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H);
		if($type == '.gif') {
			$image = imagecreatefromgif($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
			imagegif($image_p, '../'.$name);				
		}elseif($type == '.jpg') {
			$image = imagecreatefromjpeg($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
			imagejpeg($image_p, '../'.$name, 100);
		}else{
			$image = imagecreatefrompng($tmp_name);
			imagecopyresampled($image_p, $image, 0, 0, 0, 0, NUMBER_DIMENSIONS_W, NUMBER_DIMENSIONS_H, $width, $height);
			imagepng($image_p, '../'.$name, 9);
		}
		chmod('../'.$name, 0644);
	}else{
		move_uploaded_file($tmp_name, '../'.$name);
		chmod('../'.$name, 0644);
	}
	mysql_query("UPDATE `navigation` SET `default_tut_icons`='".$name."' WHERE `id`='".$id."'");
	return 1;
}
?>