<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/

require_once("includes/classes/users.php");

// First we'll get some general stuff out of the way like logging in, organizing the affiliate data if it needs to be, people online, updating the approval que
// log in if we need to
$glob['user_message'] = '';
if(isset($_POST['loginform'])) {
	if(!isset($_SESSION['userid'])) {
		if(login(check_slashes($_POST['username']), md5($_POST['password']))) {
			$glob['user_message'] = 'You are now logged in.';
		}else{
			$glob['user_message'] = 'Invalid username/password, try again.';		
		}	
	}
}else{
	// log out if we need to
	if(isset($_GET['act']) && $_GET['act'] == 'logout') {
		if(isset($_SESSION['userid'])) {
			logout();
			echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
			echo 'You have been logged out... you are now being redirected.<br />';
			die();
		}
	}
}

// register if we need to
$glob['reg_result'] = '';
if(isset($_POST['registerform'])) {
	$username = $_POST['reg_username'];
	$password = $_POST['reg_password'];
	$password2 = $_POST['reg_confirm'];
	if(validate_registration($username, $password, $password2) == 1) {
		register_user($username, $password);
		login($username, md5($password));
		echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
		echo 'Registration successful... you are now being redirected.<br />';
		die();
	}else{
		$glob['reg_result'] = validate_registration($username, $password, $password2);
	}
}

// post a comment if we need to
global $details_page;
if($details_page == 1) {
	$glob['details_page'] = 1;
	if(!isset($_GET['tutid']) || !is_numeric($_GET['tutid'])) {
		echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
		echo 'Invalid tutorial... you are now being redirected.<br />';
		die();
	}else{
		if(isset($_SESSION['userid']) && isset($_POST['writecomment'])) {
			register_comment($_GET['tutid'], $_SESSION['userid'], $_POST['comment']);
		}
	}
}else{
	$glob['details_page'] = 0;
}

// write a tutorial if we need to
global $write_page;
$glob['write_result'] = '';
$glob['write_title'] = '';
$glob['write_tutorialtext'] = '';
if($write_page == 1) {
	if(isset($_POST['submit_tutorial'])) {
		if(!isset($_POST['tutorial_title']) || !isset($_POST['tutorialtext']) || $_POST['tutorial_title'] == '' || $_POST['tutorialtext'] == '') {
			$glob['write_result'] = 'A required field was left blank.<br />';
			$glob['write_title'] = htmlentities(check_slashes($_POST['tutorial_title'], 2));
			$glob['write_tutorialtext'] = htmlentities(check_slashes($_POST['tutorialtext'], 2));
			if($_POST['noavatar'] == 'checked') {
				$glob['write_noavatar'] = ' checked';
			}else{
				$glob['write_noavatar'] = '';
			}
		}else{
			$glob['write_result'] = write_tutorial($_POST['tutorial_title'], $_POST['tutorialtext'], $_GET['cat'], $_POST['noavatar'], $_FILES['tutorial_avatar']);
			if($glob['write_result'] == 1) {
				$glob['write_result'] = 'The tutorial has been submitted to the approval que.<br/ >';
			}else{
				$glob['write_title'] = htmlentities(check_slashes($_POST['tutorial_title'], 2));
				$glob['write_tutorialtext'] = htmlentities(check_slashes($_POST['tutorialtext'], 2));
				if($_POST['noavatar'] == 'checked') {
					$glob['write_noavatar'] = ' checked';
				}else{
					$glob['write_noavatar'] = '';
				}
			}
		}
	}
}

// preview a written tutorial if we need to
$glob['is_preview'] = 0;
if($write_page == 1) {
	if(isset($_POST['submit_preview'])) {
		$glob['write_preview'] = parse_tutorial_code(preg_replace('/\[page \/\]/', '[size=15][color=#e52c29]<--- A NEW PAGE WILL START HERE --->[/color][/size]', check_slashes($_POST['tutorialtext'], 2)));
		$glob['is_preview'] = 1;
		$glob['write_title'] = htmlentities(check_slashes($_POST['tutorial_title'], 2));
		$glob['write_tutorialtext'] = htmlentities(check_slashes($_POST['tutorialtext'], 2));
		if($_POST['noavatar'] == 'checked') {
			$glob['write_noavatar'] = ' checked';
		}else{
			$glob['write_noavatar'] = '';
		}
	}
}

// affiliate data
$result = mysql_query("SELECT `cur_month` FROM `affiliate_in_hits` WHERE `id`='-1'");
$row = mysql_fetch_array($result);
if($row['cur_month'] != date('F')) {
	mysql_query("UPDATE `affiliate_in_hits` SET `cur_month`='".date('F')."' WHERE `id`='-1'");
	mysql_query("DELETE FROM `affiliate_in_hits` WHERE `id`!='-1'");
}
$result = mysql_query("SELECT `cur_month` FROM `affiliate_out_hits` WHERE `id`='-1'");
$row = mysql_fetch_array($result);
if($row['cur_month'] != date('F')) {
	mysql_query("UPDATE `affiliate_out_hits` SET `cur_month`='".date('F')."' WHERE `id`='-1'");
	mysql_query("DELETE FROM `affiliate_out_hits` WHERE `id`!='-1'");
}

// people online
$current_time = time();
$ip = $_SERVER['REMOTE_ADDR'];
$limit_time = time() - 300;
mysql_query("DELETE FROM `people_online` WHERE `activity` <= '".$limit_time."' AND `id`!='-1'");

$result = mysql_query("SELECT COUNT(`ip`) as 'numrows' FROM `people_online` WHERE `ip`='".$ip."' AND `id`!='-1'");
$row     = mysql_fetch_array($result);
$numrows = $row['numrows'];

if($numrows == 0) {
	mysql_query("INSERT INTO people_online(`ip`,`activity`) VALUES('".$ip."', '".$current_time."')");
}else{
	mysql_query("UPDATE people_online SET activity=".$current_time." WHERE ip = '".$ip."'");
}

$result = mysql_query("SELECT COUNT(`id`) as 'num_active' FROM `people_online` WHERE `id`!='-1'");
$row     = mysql_fetch_array($result);
$num_active = $row['num_active'];

$row = mysql_fetch_array(mysql_query("SELECT `most_online` FROM `people_online` WHERE `id`='-1'"));
if($num_active > $row['most_online']) {
	mysql_query("UPDATE `people_online` SET `most_online`='".$num_active."' WHERE `id`='-1'");
}

// que

$data = mysql_fetch_array(mysql_query("SELECT * FROM `config` WHERE `constant`='LAST_APPROVED'"));
$last_approve = $data['value'];
$data = mysql_fetch_array(mysql_query("SELECT * FROM `config` WHERE `constant`='APPROVAL_TIME'"));
$approve_time = $data['value'];
$current_time = time();
if($approve_time == 0) {
	mysql_query("UPDATE `tutorial_front` SET `que`='0', `approved`='1', `date`='".time()."' WHERE `que`='1'");
	mysql_query("UPDATE `config` SET `value`='".time()."' WHERE `constant`='LAST_APPROVED'");
}else{
	$time_since_last_approve = $current_time - $last_approve;
	if($time_since_last_approve == 0) {
		$number_to_approve = 0;
	}else{
		$number_to_approve = floor($time_since_last_approve/$approve_time);
	}
	if(!$number_to_approve == 0) {
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `que`='1' ORDER BY `date` LIMIT 0, ".$number_to_approve);
		if(mysql_num_rows($result) == 0) {
			$number_to_approve = 0;
		}else{
			while($row = mysql_fetch_array($result)) {
				mysql_query("UPDATE `tutorial_front` SET `que`='0', `approved`='1', `date`='".time()."' WHERE `id`='".$row['id']."'");
			}
			mysql_query("UPDATE `config` SET `value`='".time()."' WHERE `constant`='LAST_APPROVED'");
		}
	}
}
// Second we'll need to configure all the variables for the templates such as $user, $config, $bits, $css_style, $stylevars, $statistics, $glob, $messages, $read_tutorial

// the $config array
$result = mysql_query("SELECT `constant`, `value` FROM `config`");
$config = Array();

if(mysql_num_rows($result))
{
   while($row = mysql_fetch_array($result))
   {
      $config[$row['constant']] = $row['value'];
   }
}

$config['PHP_SELF'] = $_SERVER['REQUEST_URI'];

if(isset($_SESSION['userid'])) {
	$config['is_logged_in'] = 1;
	$config['userid'] = $_SESSION['userid'];
	$config['username'] = fetch_username($_SESSION['userid']);
}else{
	$config['is_logged_in'] = 2;
}

mysql_free_result($result);

// the $css_style array
	$css_style['css'] = fetch_css(CURRENT_STYLE_ID);
// the $stylevars array
$result = mysql_query("SELECT `name`,`value` FROM `stylevars` WHERE `style_id`='".CURRENT_STYLE_ID."'");
$stylevar = Array();

if(mysql_num_rows($result))
{
   while($row = mysql_fetch_array($result))
   {
      $stylevar[$row['name']] = $row['value'];
   }
}

// $statistics array
	// most ever online
	$query = "SELECT `most_online` FROM `people_online` WHERE `id`='-1'";
	$result = mysql_query($query) or die(mysql_error());
	$row = mysql_fetch_array($result);
	$statistics['most_online'] = $row['most_online'];
	// search date
	$query = "SELECT `since` FROM `searches` WHERE `id`='-1'";
	$result = mysql_query($query) or die(mysql_error());
	$row = mysql_fetch_array($result);
	$statistics['search_date'] = $row['since'];
	// total searches
	$query = "SELECT COUNT(`id`) AS 'searches' FROM `searches` WHERE `id`!='-1'";
	$result = mysql_query($query) or die(mysql_error());
	$row = mysql_fetch_array($result);
	$statistics['searches'] = $row['searches'];
	// total tutorials indexed
	$query = "SELECT COUNT(`id`) AS 'total_tutorials' FROM `tutorial_front` WHERE `approved`='1'";
	$result = mysql_query($query) or die(mysql_error());
	$row = mysql_fetch_array($result);
	$statistics['total_tutorials'] = $row['total_tutorials'];
	// total tutorial views
	$statistics['total_views'] = 0;
	$query = "SELECT `views` FROM `tutorial_front` WHERE `approved`='1'";
	$result = mysql_query($query) or die(mysql_error());
	while ($row = mysql_fetch_array($result)) {
		$statistics['total_views'] += $row['views'];
	}
	
	// statistics for sourcesite
	if(isset($_GET['source'])) {
		$glob['sourcesite_page'] = 1;
		$source_site = htmlspecialchars(check_slashes($_GET['source']));
		// listed tutorials
		$query = "SELECT COUNT(`id`) AS 'source_total_tutorials' FROM `tutorial_front` WHERE `approved`='1' AND `source`='".$source_site."'";
		$result = mysql_query($query) or die(mysql_error());
		$row = mysql_fetch_array($result);
		$statistics['source_total_tutorials_approved'] = $row['source_total_tutorials'];
		// waiting for approval
		$query = "SELECT COUNT(`id`) AS 'source_total_tutorials' FROM `tutorial_front` WHERE `approved`='0' AND `que`='0' AND `source`='".$source_site."'";
		$result = mysql_query($query) or die(mysql_error());
		$row = mysql_fetch_array($result);
		$statistics['source_total_tutorials_unapproved'] = $row['source_total_tutorials'];
		// in que
		$query = "SELECT COUNT(`id`) AS 'source_total_tutorials' FROM `tutorial_front` WHERE `approved`='0' AND `que`='1' AND `source`='".$source_site."'";
		$result = mysql_query($query) or die(mysql_error());
		$row = mysql_fetch_array($result);
		$statistics['source_total_tutorials_que'] = $row['source_total_tutorials'];
		// total categories
		$result = mysql_query("SELECT `mcate` FROM `tutorial_front` WHERE `approved`='1' AND `source`='".$source_site."'");
		$sourcesite_cats = array();
		while($row = mysql_fetch_array($result)) {
			if(!in_array($row['mcate'], $sourcesite_cats)) {	
				$sourcesite_cats[] = $row['mcate'];
			}
		}
		$statistics['source_total_categories'] = count($sourcesite_cats);
		// average rating
		$result = mysql_query("SELECT `rating`,`votes`,`views` FROM `tutorial_front` WHERE `approved`='1' AND `source`='".$source_site."'");
		$source_rating = 0;
		$source_votes = 0;
		$source_views = 0;
		while($row = mysql_fetch_array($result)) {
			$source_rating += $row['rating'];
			$source_votes += $row['votes'];
			$source_views += $row['views'];
		}
		if($source_rating != 0) {
			$avg_rating = round($source_rating/$source_votes, 1);
			$statistics['source_average_rating'] = $avg_rating;
		}else{
			$statistics['source_average_rating'] = 0;
		}
		// total votes
		$statistics['source_total_votes'] = $source_votes;
		// total views
		$statistics['source_total_views'] = $source_views;
	}else{
		$glob['sourcesite_page'] = 0;
	}
	// people online
	$query = "SELECT COUNT(`id`) AS 'numonline' FROM `people_online` WHERE `id`!='-1'";
	$result = mysql_query($query) or die(mysql_error());
	$row = mysql_fetch_array($result);
	$statistics['people_online'] = $row['numonline'];
	
	// search variables and sort variables
	if(isset($_GET['search'])) {
		$glob['search'] = htmlentities(check_slashes($_GET['search'], 2));
	}else{
		$glob['search'] = '';
	}
	if(isset($_GET['cat'])) {
		if(is_numeric($_GET['cat'])) {
			$glob['search_cat'] = $_GET['cat'];
		}	
	}else{
		$glob['search_cat'] = 'all';
	}
	if(isset($_GET['s1'])) {
		if($_GET['s1'] > 0 && $_GET['s1'] < 6) {
			$glob['sort1'] = $_GET['s1'];
		}else{
			$glob['sort1'] = 0;
		}
	}else{
		$glob['sort1'] = 0;
	}
	if(isset($_GET['s2'])) {
		if($_GET['s2'] > 0 && $_GET['s1'] < 6) {
			$glob['sort2'] = $_GET['s2'];
		}else{
			$glob['sort2'] = 0;
		}
	}else{
		$glob['sort2'] = 0;
	}
	if(isset($_GET['show'])) {
		if($_GET['show'] == 15 || $_GET['show'] == 30 ||  $_GET['show'] == 50 ||  $_GET['show'] == 100) {
			$glob['show'] = $_GET['show'];
		}else{
			$glob['show'] = 0;
		}
	}else{
		$glob['show'] = 0;
	}
	if(isset($_GET['o1'])) {
		if($_GET['o1'] == 'a' || $_GET['o1'] == 'd') {
			if($_GET['o1'] == 'a') {
				$glob['order1'] = 1;
			}else{
				$glob['order1'] = 2;
			}
		}else{
			$glob['order1'] = 0;
		}
	}else{
		$glob['order1'] = 0;
	}
	if(isset($_GET['o2'])) {
		if($_GET['o2'] == 'a' || $_GET['o2'] == 'd') {
			if($_GET['o2'] == 'a') {
				$glob['order2'] = 1;
			}else{
				$glob['order2'] = 2;
			}
		}else{
			$glob['order2'] = 0;
		}
	}else{
		$glob['order2'] = 0;
	}
// the $	bits array
	// main cat dropdown menus
	$catbits = '';
	$result = mysql_query("SELECT `id`, `name` FROM `navigation` ORDER BY `name`");
	while($row = mysql_fetch_array($result)) {
		if($glob['search_cat'] == $row['id']) {
			$catbits .= '<option selected value="'.$row['id'].'">'.$row['name'].'</option>';
		}else{
			$catbits .= '<option value="'.$row['id'].'">'.$row['name'].'</option>';
		}
	}
	$bits['cat_drop_down'] = $catbits;
// the $messages array
	$messages = array();
	if(isset($_GET['error'])) {
		if($_GET['error'] == 1) {
			$messages['submit_error'] = $lang['sub_error1'];
		}elseif($_GET['error'] == 2) {
			$messages['submit_error'] = $lang['sub_error2'];
		}elseif($_GET['error'] == 3) {
			$messages['submit_error'] = $lang['sub_error3'];
		}elseif($_GET['error'] == 4) {
			$messages['submit_error'] = $lang['sub_error4'];
		}else{
			$messages['submit_error'] = '';
		}
	}else{
			$messages['submit_error'] = '';
	}
// the $read_tutorial array
	$read_tutorial = array();
	global $read_tutorial_page;
	if($read_tutorial_page == 1) {
		if(!isset($_GET['id']) || !is_numeric($_GET['id'])) {
			echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
			echo $lang['redirect'];
			die();
		}
		$id = $_GET['id'];
		$page = 1;
		if(isset($_GET['page']) && is_numeric($_GET['page'])) {
			$page = $_GET['page'];
		}
		// update the views
		mysql_query("UPDATE `tutorial` SET `views`=`views`+1 WHERE `id`='".$id."'");
		// get the tutorial author, and tutorial text...
		$result = mysql_query("SELECT * FROM `tutorial` WHERE `id`='".$id."'");
		if(mysql_num_rows($result) == 0) {
			echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
			echo 'You are being redirected...';
			die();
		}
		$row = mysql_fetch_array($result);
		$read_tutorial['id'] = $id;
		$read_tutorial['author'] = $row['author'];
		$split = explode('[page /]', $row['text']);
		$number_of_pages = count($split);
		$offset = $page - 1;
		$current_code = $split[$offset];
		$read_tutorial['nav_current_page'] = $page;
		$read_tutorial['nav_max_page'] = $number_of_pages;
		if(MOD_REWRITE_ON == 1) {
			$read_tutorial['nav_link'] = HTTP_SERVER.'read_tutorial/'.$id.'/';
			$read_tutorial['nav_querystring'] = '';
		}else{
			$read_tutorial['nav_link'] = HTTP_SERVER.'read_tutorial.php?';
			$read_tutorial['nav_querystring'] = 'id='.$id;
		}
		$read_tutorial['tutorial'] = parse_tutorial_code($current_code);
		$read_tutorial['views'] = $row['views'];
		// get the rest
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `id`='".$id."'");
		$row = mysql_fetch_array($result);
		$read_tutorial['title'] = $row['tutname'];
		$read_tutorial['date_added'] = date("d-m-Y", $row['date']);
		$read_tutorial['main_cat'] = $row['mcate'];
		$read_tutorial['main_cat_link'] = URL_Friendly($row['mcate']);
		$read_tutorial['sub_cat'] = $row['scate'];
		$read_tutorial['sub_cat_link'] = URL_Friendly($row['scate']);
		$read_tutorial['votes'] = $row['votes'];
		if($row['rating'] == 0) {
			$read_tutorial['rating'] = 0;
		}else{
			$read_tutorial['rating'] = round($row['rating']/$row['votes'], 1);
		}
		$read_tutorial['navigation'] = show_nav($read_tutorial['nav_current_page'], $read_tutorial['nav_max_page'], $read_tutorial['nav_link'], $read_tutorial['nav_querystring'], CURRENT_STYLE_ID);
	}
// $glob array
	$temp_query_string = '';
	if(isset($_GET['s1']) && is_numeric($_GET['s1'])) {
			$temp_query_string .= 's1='.$_GET['s1'];
	}
	if(isset($_GET['s2']) && is_numeric($_GET['s2'])) {
		$temp_query_string .= '&s2='.$_GET['s2'];
	}
	if(isset($_GET['show']) && is_numeric($_GET['show'])) {
			$temp_query_string .= '&show='.$_GET['show'];
	}
	if(isset($_GET['o1'])) {
		if($_GET['o1'] == 'a' || $_GET['o1'] == 'd') {
			$temp_query_string .= '&o1='.$_GET['o1'];
		}
	}
	if(isset($_GET['o2'])) {
		if($_GET['o2'] == 'a' || $_GET['o2'] == 'd') {
			$temp_query_string .='&o2='.$_GET['o2'];
		}
	}
	if(isset($_GET['search'])) {
		if($temp_query_string == '') {
			$temp_query_string .= 'search='.htmlspecialchars(check_slashes($_GET['search'], 2));
		}else{
			$temp_query_string .= '&search='.htmlspecialchars(check_slashes($_GET['search'], 2));
		}
	}
	if(isset($_GET['cat']) && is_numeric($_GET['cat'])) {
			$temp_query_string .= '&cat='.$_GET['cat'];
	}
	$glob['query_string'] = $temp_query_string;
	
	if(isset($_GET['scategorey']) && isset($_GET['categorey'])) {
		$glob['cur_cat_link'] = htmlspecialchars(check_slashes($_GET['categorey']));
		$glob['cur_cat_name'] = htmlspecialchars(Get_URL_Friendly(check_slashes($_GET['categorey'])));
		$glob['cur_sub_name'] = htmlspecialchars(Get_URL_Friendly(check_slashes($_GET['scategorey'])));
		$glob['cur_sub_link'] = htmlspecialchars(check_slashes($_GET['scategorey']));
		
		$result = mysql_query("SELECT `icon` FROM `navigation` WHERE `name`='".$glob['cur_cat_name']."'");
		$row = mysql_fetch_array($result);
		$glob['cur_cat_icon'] = $row['icon'];
		$result = mysql_query("SELECT COUNT(`id`) AS `num_tuts` FROM `tutorial_front` WHERE `mcate`='".$glob['cur_cat_name']."' AND `approved`='1'");
		$row = mysql_fetch_array($result);
		$glob['cur_cat_tutorials'] = $row['num_tuts'];
		
	}
	global $tutorial_out_page;
	if(isset($tutorial_out_page)) {
		if(!isset($_GET['id']) || !is_numeric($_GET['id'])) {
			header("Location: ".HTTP_SERVER."index.php");
			die();
		}
		$id = $_GET['id'];
		$result = mysql_query("SELECT * FROM `tutorial_front` WHERE `id`='".$id."'");
		$data = mysql_fetch_array($result);
		$glob['tutorial_out_link'] = $data['link'];
		$glob['tutorial_out_custom'] = $data['custom_tutorial'];
		$glob['tutorial_out_id'] = $id;
		$glob['tutorial_out_title'] =  $data['tutname'];
		$glob['tutorial_out_date_added'] = date("d-m-Y", $data['date']);
		$glob['tutorial_out_main_cat'] = $data['mcate'];
		$glob['tutorial_out_main_cat_link'] = URL_Friendly($data['mcate']);
		$glob['tutorial_out_sub_cat'] = $data['scate'];
		$glob['tutorial_out_sub_cat_link'] = URL_Friendly($data['scate']);
		$glob['tutorial_out_votes'] = $data['votes'];
		if($data['rating'] == 0) {
			$glob['tutorial_out_rating'] = 0;
		}else{
			$glob['tutorial_out_rating'] = round($data['rating']/$data['votes'], 1);
		}
	}
	global $view_tutorials_page;
	if(isset($view_tutorials_page)) {
		$glob['view_tuts'] = 1;
	}else{
		$glob['view_tuts'] = 0;
	}
	if(isset($read_tutorial_page)) {
		$glob['read_tutorial'] = 1;
	}else{
		$glob['read_tutorial'] = 0;
	}
	if(isset($_GET['source'])) {
		$glob['sourcesite'] = check_slashes($_GET['source']);
		$glob['sourcesite_show'] = Format_Sourcesite_Show(check_slashes($_GET['source']));
	}else{
		$glob['sourcesite'] = 0;
		$glob['sourcesite_show'] = '';
	}
	global $submit2_page;
	if(isset($submit2_page)) {
		if(isset($_GET['cat']) && is_numeric($_GET['cat'])) {
			$glob['submit_cat_num'] = $_GET['cat'];
		}else{
			$glob['submit_cat_num'] = 0;
		}
		if(isset($_GET['number']) && is_numeric($_GET['number'])) {
			$glob['submit_number_show'] = $_GET['number'];
		}else{
			$glob['submit_number_show'] = 0;
		}
		if($glob['submit_cat_num'] != 0) {
			$result = mysql_query("SELECT `icon`,`name` FROM `navigation` WHERE `id`='".$glob['submit_cat_num']."'");
			$row = mysql_fetch_array($result);
			$glob['submit_cat_icon'] = $row['icon'];
			$glob['submit_cat_name'] = $row['name'];
			
			$result = mysql_query("SELECT COUNT(`id`) AS 'num_tuts' FROM `tutorial_front` WHERE `mcate`='".$glob['submit_cat_name']."' AND `approved`='1'");
			$row = mysql_fetch_array($result);
			$glob['submit_cat_tut_num'] = $row['num_tuts'];
		}else{
			$glob['submit_cat_icon'] = 0;
			$glob['submit_cat_name'] = 0;
			$glob['submit_cat_tut_num'] = 0;
		}
	}
	$glob['current_year'] = date("Y");
	
	global $view_tutorials_page;
	global $tutorials_page;
	if(isset($view_tutorials_page)) {
		if(isset($_GET['s1']) && is_numeric($_GET['s1'])) {
			$sort_1 = $_GET['s1'];
		}else{
			$sort_1 = 0;
		}
		if(isset($_GET['s2']) && is_numeric($_GET['s2'])) {
			$sort_2 = $_GET['s2'];
		}else{
			$sort_2 = 0;
		}
		if(isset($_GET['show'])) {	
			switch($_GET['show']) {
			case 15:
				$show = $_GET['show'];
				break;
			case 30:
				$show = $_GET['show'];
				break;
			case 50:
				$show = $_GET['show'];
				break;
			case 100:
				$show = $_GET['show'];
				break;
			default:
				$show = NUMBER_ROWS_PER_PAGE;
			}
		}else{
			$show = NUMBER_ROWS_PER_PAGE;
		}
		if(isset($_GET['o1'])) {
			if($_GET['o1'] == 'a' || $_GET['o1'] == 'd') {
				$order_1 = $_GET['o1'];
			}else{
				$order_1 = 0;
			}
		}else{
			$order_1 = 0;
		}
		if(isset($_GET['o2'])) {
			if($_GET['o2'] == 'a' || $_GET['o2'] == 'd') {
				$order_2 = $_GET['o2'];
			}else{
				$oder_2 = 0;
			}				
		}else{
			$order_2 = 0;
		}
		if(isset($_GET['cat']) && is_numeric($_GET['cat'])) {
			$cat = $_GET['cat'];
		}else{
			$cat = 'all';
		}
		if(isset($_GET['page']) && is_numeric($_GET['page'])) {
			$page = $_GET['page'];
		}else{
			$page = 1;
		}
		$offset = $page * $show - $show;
		$max_page = tutorial_count_view($show, $glob['cur_cat_name'], $glob['cur_sub_name']);
		if($config['MOD_REWRITE_ON'] == 1) {
			$glob['page_nav'] = show_nav($page, $max_page, $config['HTTP_SERVER'].'view_tutorials/'.$glob['cur_cat_link'].'/'.$glob['cur_sub_link'].'/', $glob['query_string'] , CURRENT_STYLE_ID);
		}else{
			$glob['page_nav'] = show_nav($page, $max_page, $config['HTTP_SERVER'].'view_tutorials.php?categorey='.$glob['cur_cat_link'].'&scategorey='.$glob['cur_sub_link'], $glob['query_string'] , CURRENT_STYLE_ID);
		}
		$glob['tutorial_list'] = tutorial_sort_view($sort_1, $sort_2, $order_1, $order_2, $show, $offset, CURRENT_STYLE_ID, Get_URL_Friendly(check_slashes($_GET['categorey'])), Get_URL_Friendly(check_slashes($_GET['scategorey'])));
	}elseif (isset($tutorials_page)) {
		if(isset($_GET['s1']) && is_numeric($_GET['s1'])) {
			$sort_1 = $_GET['s1'];
		}else{
			$sort_1 = 0;
		}
		if(isset($_GET['s2']) && is_numeric($_GET['s2'])) {
			$sort_2 = $_GET['s2'];
		}else{
			$sort_2 = 0;
		}
		if(isset($_GET['show'])) {	
			switch($_GET['show']) {
			case 15:
				$show = $_GET['show'];
				break;
			case 30:
				$show = $_GET['show'];
				break;
			case 50:
				$show = $_GET['show'];
				break;
			case 100:
				$show = $_GET['show'];
				break;
			default:
				$show = NUMBER_ROWS_PER_PAGE;
			}
		}else{
			$show = NUMBER_ROWS_PER_PAGE;
		}
		if(isset($_GET['o1'])) {
			if($_GET['o1'] == 'a' || $_GET['o1'] == 'd') {
				$order_1 = $_GET['o1'];
			}else{
				$order_1 = 0;
			}
		}else{
			$order_1 = 0;
		}
		if(isset($_GET['o2'])) {
			if($_GET['o2'] == 'a' || $_GET['o2'] == 'd') {
				$order_2 = $_GET['o2'];
			}else{
				$order_2 = 0;
			}
		}else{
			$order_2 = 0;
		}
		if(isset($_GET['search'])) {
			$search = htmlspecialchars(check_slashes($_GET['search']));
		}else{
			$search = '';
		}
		if(isset($_GET['cat']) && is_numeric($_GET['cat'])) {
			$cat = $_GET['cat'];
		}else{
			$cat = 'all';
		}
		if(isset($_GET['page']) && is_numeric($_GET['page'])) {
			$page = $_GET['page'];
		}else{
			$page = 1;
		}
		if($config['MOD_REWRITE_ON'] == 1) {
			$link = $config['HTTP_SERVER'].'tutorials/';
		}else{
			$link = $config['HTTP_SERVER'].'tutorials.php?';
		}
		$offset = $page * $show - $show;
		$max_page = tutorial_count_tutorials($show, $search, $cat, $special);
		$glob['page_nav'] = show_nav($page, $max_page, $link, $glob['query_string'] , CURRENT_STYLE_ID);
		if(isset($_GET['special']) && is_numeric($_GET['special'])) {
			if($_GET['special'] == 2) {
				$special = 2;
				$glob['page_nav'] = '';
			}elseif ($_GET['special'] == 3) {
				$special = 3;
				$glob['page_nav'] = '';			
			}else{
				$special = 1;
			}
		}else{
			$special = 1;		
		}
		$glob['special_tutorial_list'] = $special;
		$glob['tutorial_list'] = tutorial_sort_tutorials($sort_1, $sort_2, $order_1, $order_2, $show, $search, $cat, $offset, CURRENT_STYLE_ID, $special);
	}
	
	// the $user array
	global $users_page;
	if(isset($users_page)) {
		if(isset($_GET['userid']) && is_numeric($_GET['userid'])) {
			$userid = $_GET['userid'];
			$user['username'] = fetch_username($userid);
			$user['date_reg'] = date("F jS, Y", fetch_datereg($userid));
			$user['date_seen'] = date("F jS, Y", fetch_dateseen($userid));
			$user['tuts_sub'] = count_submitted_tuts($userid);
			$user['tuts_writ'] = count_written_tuts($userid);
			
			$user['tuts_approved'] = count_approved_tuts($userid);
			$user['tuts_que'] = count_que_tuts($userid);
			$user['tuts_pending'] = count_pending_tuts($userid);
		}else{
			echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
			echo 'You are now being redirected.<br />';
			die();
		}
			
	}
	
	
	// register page
	global $register_page;
	if(isset($register_page)) {
		if(isset($_SESSION['userid'])) {
			echo '<meta HTTP-EQUIV="REFRESH" content="0; url='.HTTP_SERVER.'">';
			echo 'You are now being redirected.<br />';
			die();
		}
	}	
	
	// title of the page
	$glob['rss'] = '';
	
	if(isset($index_page)) {
		$glob['title'] = COMPANY_NAME.' - Index';
		$glob['rss'] = '<link rel="alternate" type="application/rss+xml" title="'.COMPANY_NAME.' - Latest Tutorials" href="'.HTTP_SERVER.'rss.php?do=latest" />';
	}elseif (isset($contact_page)) {
		$glob['title'] = COMPANY_NAME.' - Contact Us';
	}elseif (isset($help_page)) {
		$glob['title'] = COMPANY_NAME.' - Help';
	}elseif (isset($read_tutorial_page)) {
		$glob['title'] = COMPANY_NAME.' - '.$read_tutorial['title'];
	}elseif (isset($submit2_page)) {
		$glob['title'] = COMPANY_NAME.' - Submit Tutorials';
	}elseif (isset($sourcesite_page)) {
		$glob['title'] = COMPANY_NAME.' - Tutorials from '.$glob['sourcesite'];
		$glob['rss'] = '<link rel="alternate" type="application/rss+xml" title="'.COMPANY_NAME.' - Tutorials from " href="'.HTTP_SERVER.'rss.php?do=sourcesite&source='.$glob['sourcesite'].'" />';
	}elseif (isset($submit_page)) {
		$glob['title'] = COMPANY_NAME.' - Submit Tutorials';
	}elseif (isset($tutorials_page)) {
		$glob['title'] = COMPANY_NAME.' - Browse Tutorials';
		$glob['rss'] = '<link rel="alternate" type="application/rss+xml" title="'.COMPANY_NAME.' - Latest Tutorials" href="'.HTTP_SERVER.'rss.php?do=latest" />';
	}elseif (isset($view_tutorials_page)) {
		if($glob['cur_sub_name'] == 'All') {
			$glob['title'] = COMPANY_NAME.' - '.$glob['cur_cat_name'].' - All';
			$glob['rss'] = '<link rel="alternate" type="application/rss+xml" title="'.COMPANY_NAME.' - '.$glob['cur_cat_name'].'" href="'.HTTP_SERVER.'rss.php?do=cat&cat='.$glob['cur_cat_name'].'" />';
		}else{
			$glob['title'] = COMPANY_NAME.' - '.$glob['cur_cat_name'].' - '.$glob['cur_sub_name'];
			$glob['rss'] = '<link rel="alternate" type="application/rss+xml" title="'.COMPANY_NAME.' - '.$glob['cur_cat_name'].' >> '.$glob['cur_sub_name'].'" href="'.HTTP_SERVER.'rss.php?do=subcat&cat='.$glob['cur_cat_name'].'&subcat='.$glob['cur_sub_name'].'" />';
		}
	}elseif (isset($users_page)) {
		$glob['title'] = COMPANY_NAME.' - '.$user['username'].'\'s Profile Page';
	}elseif (isset($register_page)) {
		$glob['title'] = COMPANY_NAME.' - Register';
	}elseif (isset($tutorial_out_page)) {
		$glob['title'] = COMPANY_NAME.' - '.$glob['tutorial_out_title'];
	}else{
		$glob['title'] = COMPANY_NAME;
	}
?>