<?php
/*
 *  Copyright: (C) 2008 TutorialMS 
 *              
 *  This file is part of TutorialMS.							 
 *																			 
 * TutorialMS is free software: you can redistribute it   
 * and/or modify it under the terms of the GNU General    
 * Public License as published by the Free Software		 
 * Foundation, either version 3 of the License, or        
 * (at your option) any later version.							 
 *																			 
 * TutorialMS is distributed in the hope that it will be  
 * useful, but WITHOUT ANY WARRANTY; without even the     
 * implied warranty of MERCHANTABILITY or FITNESS FOR A  
 * PARTICULAR PURPOSE.  See the GNU General Public		    
 * License for more details.										 
 *																			 
 * You should have received a copy of the GNU General 	 
 * Public License along with TutorialMS.  					 
 * If not, see <http://www.gnu.org/licenses/>.            
*/
$submit2_page = 1;
require('includes/config.php');
require_once('includes/classes/template.php');
require_once('includes/functions.php');
require_once('includes/global.php');
require_once('includes/classes/tutorial.php');
if(!isset($_GET['cat']) || !isset($_GET['number'])) {
	global $config;
	if(!isset($_GET['cat']) && !isset($_GET['number'])) {
		echo '<meta http-equiv="Refresh" content="0;url='.$config['HTTP_SERVER'].'submit/?error=1">';
		die('You are being redirected...');
	}elseif (!isset($_GET['cat']) && isset($_GET['number'])) {
		echo '<meta http-equiv="Refresh" content="0;url='.$config['HTTP_SERVER'].'submit/?error=2">';
		die('You are being redirected...');
	}elseif (isset($_GET['cat']) && !isset($_GET['number'])) {
		echo '<meta http-equiv="Refresh" content="0;url='.$config['HTTP_SERVER'].'submit/?error=3">';
		die('You are being redirected...');
	}
}else{
	global $config;
	if(!is_numeric($_GET['cat']) || !is_numeric($_GET['number']) || $_GET['number'] < 1 || $_GET['number'] > NUMBER_SUBMIT_TUTORIALS || $_GET['cat'] < 1) {
		echo '<meta http-equiv="Refresh" content="0;url='.$config['HTTP_SERVER'].'submit/?error=4">';
		die('You are being redirected...');
	}
}
if(isset($_POST['submit'])) {

	$weburl = check_slashes($_POST['weburl']);
	$number = $_GET['number'];
	$cat = $_GET['cat'];
	
	$title = $_POST['title'];
	$tutorialurl = $_POST['tutorialurl'];
	$validate = validate_submit($weburl, $number, $cat);

	if($validate == 1) {
		$i = 1;
		$success = 0;
		$fail = 0;
		while(($number + 1) > $i) {
			$validate_array = validate_tutorial(check_slashes($title[$i], 2), check_slashes($tutorialurl[$i]), $weburl, $cat);
			if($validate_array['error'] == 1) {
				$success++;
				if(isset($_POST['noavatar'])) {
					mysql_query("UPDATE `tutorial_front` SET `icon`='default' WHERE `id`='".$validate_array['id']."'");
				}else{
					$name = upload_avatar($_FILES['avatar'], $i, $validate_array['id']);
				}
			}else{
				$fail++;
			}
			$i++;
		}
		$messages['submit_results_show_error'] = 0;
		$messages['submit_results_success'] = $success;
		$messages['submit_results_fail'] = $fail;
	}else{
		$messages['submit_results_show_error'] = 1;
		$messages['submit_results_error'] = $validate;
	}

}
echo template(CURRENT_STYLE_ID, 'header');
echo template(CURRENT_STYLE_ID, 'column_left_start');
echo bit_template(CURRENT_STYLE_ID, 'main_navbits');
echo template(CURRENT_STYLE_ID, 'column_left_end');
echo template(CURRENT_STYLE_ID, 'column_middle_start');
echo template(CURRENT_STYLE_ID, 'avatar_rules_break');
echo template(CURRENT_STYLE_ID, 'avatar_rules');
if(isset($messages['submit_results_show_error'])) {
	echo template(CURRENT_STYLE_ID, 'submit_results_break');
	echo template(CURRENT_STYLE_ID, 'submit_results');
}
echo template(CURRENT_STYLE_ID, 'submission_break');
echo template(CURRENT_STYLE_ID, 'submission');
echo bit_template(CURRENT_STYLE_ID, 'submit_tutorial_bit');
echo template(CURRENT_STYLE_ID, 'column_middle_end');
echo template(CURRENT_STYLE_ID, 'column_right_start');
echo template(CURRENT_STYLE_ID, 'site_statistics');
echo template(CURRENT_STYLE_ID, 'affiliates_break');
echo bit_template(CURRENT_STYLE_ID, 'affiliates_bit');
echo template(CURRENT_STYLE_ID, 'announcements_break');
echo bit_template(CURRENT_STYLE_ID, 'announcements_bit');
echo template(CURRENT_STYLE_ID, 'column_right_end');
echo template(CURRENT_STYLE_ID, 'footer');
?>